package com.zcloud.mapper.datasource.specheck;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

public interface SpeCheckHiddenMapper {

    void save(PageData pageData);

    PageData findById(PageData pageData);

    List<PageData> datalistPage(Page page);

    void saveBatch(List<PageData> hiddenInfoList);

    PageData listAllByTaskId(PageData pageData);
    List<PageData> listAllByRecordId(PageData pageData);

    void saveReportedResult(PageData pageData);

    void changebatchStatus(PageData item);

    void saveHiddenByStaging(PageData pd);

    void removeHiddenStaging(PageData pd);

    void editHiddenByStaging(PageData pd);

    void addRecordIdByHiddenId(PageData data);

    void removeChangeHidden(PageData data);

    void removeNoHasRecordId(PageData record);

    List<PageData> getDangerIdsBySpecheckRecordIds(String specheckRecordIds);
}
